# coding:utf8

import numpy as np
import randomwalk

# Definition des paramètres
v = 1.          # vitesse (moyenne) de la particule
T = 10.         # durée de la simulation
dt = 0.1        # pas de temps élémentaire
Ndt = int(T/dt) # nombre de pas de calcul
Npart=10

# La liste save_xi permettra de sauvegarder toutes les positions prises par la particule courante
save_xi = []
# La liste save_ti permettra de sauvegarder les temps correspondant à ces positions
save_ti = []

# Initialisation de la position de la particule courante
title = "Position en fonction du temps, v = "+str(D)

for ni in range(1,Npart+1):
    xi = 0
    save_xi = []
    save_ti = []

# Boucle sur tout les pas de temps, de 1 à Ndt inclus
    for ti in range(1,Ndt+1):
    # Met à jour la position de la particule courante
        xi = randomwalk.move_particle(xi,v,dt)
    # Sauvegarde la position courante
        save_xi.append(xi)
    # Sauvegarde le temps correspondant à cette position
        save_ti.append(ti)
    randomwalk.plot_curve(save_ti,save_xi,xlabel="$t_i$",ylabel="$x_i$", title=title)   

# Affiche la position en fonction du temps pour la particule courante, après avoir effectué toutes les itérations
#title = "Position en fonction du temps, v = "+str(v)
#randomwalk.plot_curve(save_ti,save_xi,xlabel="$t_i$",ylabel="$x_i$", title=title)

plt.show()